DROP VIEW V_NNFIRMA_ID_OR_NULL
;

CREATE OR REPLACE VIEW V_NNFIRMA_ID_OR_NULL AS (
  SELECT DISTINCT (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'MarinaLocationsModule') = 0 THEN NULL ELSE ID END) AS ID,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'MarinaLocationsModule') = 0 THEN NULL ELSE FIRMA END) AS FIRMA 
  FROM NNFIRMA WHERE (SELECT VREDNOST FROM S_NASTAVITVE WHERE NAZIV = 'MarinaLocationsModule') = 0 OR ID IN (SELECT NNFIRMA_ID FROM NNLOCATION WHERE AKT='Y')
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2299, SYSDATE, '5.5', 2219, 'V_NNFIRMA_ID_OR_NULL')
;